import { InjectionToken } from '@angular/core';
export interface Breakpoint {
    alias: string;
    media: string[];
}
export declare const FLEX_CSS_DEFAULT_BREAKPOINTS: Breakpoint[];
export declare const FLEX_CSS_BREAKPOINTS_SMALL_TO_LARGE: Breakpoint[];
export declare const FLEX_CSS_BREAKPOINTS: InjectionToken<string>;
export declare type StyleDefinition = string | {
    [property: string]: string | number | null;
};
export declare class FlexCssStyleElement {
    style: HTMLStyleElement;
    storage: {
        [property: string]: {
            [property: string]: Text;
        };
    };
    constructor(style: HTMLStyleElement);
}
export declare class FlexCssService {
    private doc;
    private breakpoints;
    private layout;
    private flex;
    private fill;
    constructor(doc: any, breakpoints: any);
    initLayout(): void;
    initFlex(): void;
    initFill(): void;
    addLayout(layout: string, breakpoint: string): string;
    addLayoutAlign(layout: string, layoutBreakpoint: string, align: string, breakpoint: string): string;
    addLayoutGap(layout: string, layoutBreakpoint: string, value: string, breakpoint: string): string;
    addFlex(layout: string, layoutBreakpoint: string, value: string, breakpoint: string, grow?: any, shrink?: any): string;
    addFlexOrder(order: any, breakpoint: string): string;
    addFlexOffset(layout: string, layoutBreakpoint: string, offset: any, breakpoint: string): string;
    addFlexAlign(align: any, breakpoint: string): string;
    addFlexFill(): string;
    addShowHide(display: string, show: boolean, breakpoint: string): string;
    private hasInLayoutStorage(className, breakpoint);
    private addToLayoutStorage(className, style, breakpoint, customBreakpoints?);
    private hasInFlexStorage(className, breakpoint);
    private addToFlexStorage(className, style, breakpoint, customBreakpoints?);
    private hasInFillStorage(className, breakpoint);
    private addToFillStorage(className, style, breakpoint, customBreakpoints?);
    private hasInStorage(styleElement, className, breakpoint);
    private addToStorage(styleElement, className, style, breakpoint, customBreakpoints?);
    private reorderTextElements(styleElement);
    protected reorderBreakpointElements(styleElement: FlexCssStyleElement, breakpoint: string, position?: number): number;
    private generateCss(styles);
    private addBreakpoints(breakpointsAliases, css);
}
