/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
export declare const INLINE = "inline";
export declare const LAYOUT_VALUES: string[];
/**
 * Validate the direction|'direction wrap' value and then update the host's inline flexbox styles
 */
export declare function buildLayoutCSS(value: string): {
    'display': string;
    'box-sizing': string;
    'flex-direction': any;
    'flex-wrap': any;
};
/**
 * Validate the value to be one of the acceptable value options
 * Use default fallback of 'row'
 */
export declare function validateValue(value: string): any[];
/**
 * Determine if the validated, flex-direction value specifies
 * a horizontal/row flow.
 */
export declare function isFlowHorizontal(value: string): boolean;
/**
 * Convert layout-wrap='<value>' to expected flex-wrap style
 */
export declare function validateWrapValue(value: any): any;
/**
 * Build the CSS that should be assigned to the element instance
 * BUG:
 *   1) min-height on a column flex container won’t apply to its flex item children in IE 10-11.
 *      Use height instead if possible; height : <xxx>vh;
 *
 *  This way any padding or border specified on the child elements are
 *  laid out and drawn inside that element's specified width and height.
 */
export declare function buildCSS(direction: any, wrap?: any, inline?: boolean): {
    'display': string;
    'box-sizing': string;
    'flex-direction': any;
    'flex-wrap': any;
};
